      SUBROUTINE DROPRATE_APPLY(a,b,nlevel,depth,maxlevel,t0)

C     DROPRATE_APPLY APPLIES NEW DROP RATE TO XBT DATA

      dimension depth(maxlevel),t0(maxlevel)

      do 50 n=1,nlevel

       depth(n)=a*t0(n) - b*t0(n)*t0(n)
c        write(6,*) 'n',n,t0(n),depth(n),a*t0(n),
c    * b*t0(n)*t0(n)

50    continue

      return
      end
